%define name            uddi4j
%define version         2.0.2
%define release         2jpp
%define section         free

# -----------------------------------------------------------------------------

Summary:        API to interact with a UDDI registry
Name:           %{name}
Version:        %{version}
Release:        %{release}
Epoch:		0
Group:          Text Processing/Markup/XML
License:        IBM Public License
URL:            http://oss.software.ibm.com/developerworks/opensource/uddi4j/
BuildArch:      noarch
Source0:        ftp://www-126.ibm.com/pub/uddi4j/uddi4j-src-2_0_2.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root
Vendor:         JPackage Project
Distribution:   JPackage
Requires:       axis
Requires:       soap
BuildRequires:  axis, soap
BuildRequires:  ant, java-devel
BuildRequires:	jpackage-utils >= 0:1.5

%description
UDDI4J is a Java class library that provides an API to interact 
with a UDDI (Universal Description, Discovery and Integration) 
registry. The UDDI Project is a comprehensive, open industry 
initiative enabling businesses to (I) discover each other, and 
(II) define how they interact over the internet and share 
information in a global registry architecture. UDDI is the 
building block which will enable businesses to quickly, easily 
and dynamically find and transact with one another via their 
preferred applications.

%package javadoc
Group:          Development/Documentation
Summary:        Javadoc for %{name}

%description javadoc
Javadoc for %{name}.

%prep
rm -rf $RPM_BUILD_ROOT
%setup -q -n %{name}

%build
[ -z "$JAVA_HOME" ] && export JAVA_HOME=%{_jvmdir}/java
export CLASSPATH=$(build-classpath \
axis/axis \
axis/jaxrpc \
axis/saaj \
javamail/mailapi \
soap \
)
ant -Dbuild.compiler=modern compile
ant -Dbuild.compiler=modern javadocs

%install
rm -rf $RPM_BUILD_ROOT

# jars
install -d -m 0755 $RPM_BUILD_ROOT%{_javadir}

for jar in %{name}.jar ; do
   vjar=$(echo $jar | sed s+.jar+-%{version}.jar+g)
   install -m 644 build/lib/$jar $RPM_BUILD_ROOT%{_javadir}/$vjar
   pushd $RPM_BUILD_ROOT%{_javadir}
      ln -fs $vjar $jar
   popd
done

# javadoc
install -d -m 0755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -pr build/javadocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}/

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
rm -f %{_javadocdir}/%{name}
ln -s %{name}-%{version} %{_javadocdir}/%{name}

%postun javadoc
if [ "$1" = "0" ]; then
    rm -f %{_javadocdir}/%{name}
fi

%files
%defattr(0644,root,root,0755)
%doc LICENSE.html
%{_javadir}/*

%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/%{name}-%{version}

%changelog
* Thu Sep 02 2004 Ralph Apel <r.apel at r-apel.de> 0:2.0.2-2jpp
- Build with ant-1.6.2

* Tue Aug 17 2004 Ralph Apel <r.apel at r-apel.de> 0:2.0.2-1jpp
- First JPackage release

